# Recipe Waypoints
This is a Potion Craft mod to help with the managing of "waypoint" recipes. This mod is only compatible with Potion Craft beta v0.5.0! 

See the location on the map of your saved "waypoint" recipes. These include any recipes with no effects and any recipes which are far away from their last gathered effect.


Easily figure out where your waypoint recipe will take you if you continue brewing from that recipe by using the Go to waypoint button in the recipe book.

![image](https://github.com/AndrewFahlgren/PotionCraftRecipeWaypoints/blob/master/Images/View%20waypoint%20on%20map.png?raw=true)


Check the path you will be working with if you continue brewing from the recipe by hovering over the waypoint icon on the map. Never continue brewing a recipe just to find your path leads you strait into a wall again!

![image](https://github.com/AndrewFahlgren/PotionCraftRecipeWaypoints/blob/master/Images/Waypoint%20path.png?raw=true)


Toggle waypoint recipes on and off to ensure you are only seeing useful waypoints on the map:

![image](https://github.com/AndrewFahlgren/PotionCraftRecipeWaypoints/blob/master/Images/Show%20Hide%20All%20Waypoints.png?raw=true)


![image](https://github.com/AndrewFahlgren/PotionCraftRecipeWaypoints/blob/master/Images/Unmark%20waypoint.png?raw=true)


![image](https://github.com/AndrewFahlgren/PotionCraftRecipeWaypoints/blob/master/Images/Mark%20as%20waypoint.png?raw=true)


## Showcase Video

See this [showcase video](https://www.youtube.com/watch?v=UPTAWGjC-0g) to see everything this mod does.


## Installation (game, automated)
This is the recommended way to install Recipe Waypoints.

- Download and install Thunderstore Mod Manager or r2modman.
  - Click Install with Mod Manager button on top of the page.
  - Run the game via the mod manager.

## Installation (manual)
If you are installing this manually, do the following:

If you are not sure where your Potion Craft steam directory is you can find out by opening steam, going to your library, and right clicking on Potion Craft > Properties > Local Files > Browse.

- Download and install [BepInEx 5.x 64 bit](https://github.com/BepInEx/BepInEx/releases)
  - The contents of the BepInEx zip should be extracted to your PotionCraft steam directory.
  - If properly installed, you should see a `winhttp.dll` file and `BepInEx` folder alongside your `Potion Craft.exe`
- Download and install [Recipe Waypoints](https://github.com/AndrewFahlgren/PotionCraftRecipeWaypoints/releases/)
  - The contents of the RecipeWaypoints zip should be extracted to your PotionCraft steam directory.
  - If properly installed, you should have a `PotionCraftRecipeWaypoints.dll` file at `Potion Craft/BepInEx/plugins`
  
### Steam Deck Installation
See [this guide](https://docs.google.com/document/d/1Y3PDeMaffkh7x4U3j46YZ9K6AhM2EvRF9v3mAGBFzW4) for installing Potion Craft mods on the Steam Deck

## Other Mods
I am making a series of mods which make recipes easier to use. All of these mods are intended to be balanced and feel like part of the base game:

[Alchemy Machine Recipes](https://potion-craft.thunderstore.io/package/AndrewFahlgren/Alchemy_Machine_Recipes/) - Enables the save recipe button when making things with the alchemy machine. Make legendary stones and salts with the click of a button!

[Pour Back In](https://potion-craft.thunderstore.io/package/AndrewFahlgren/Pour_Back_In/) - Makes your potions work just like recipes. Pour potions back in the cauldron to continue where you left off. You can also finish potions before you add any effects so you can come back to them later just like a waypoint recipe.

